MVN

org.postgresql : postgresql

Maven & Gradle

Mar 17, 2023
3.2k usages
1.4k stars

PostgreSQL JDBC Driver · PostgreSQL JDBC Driver Postgresql

<dependency>
    <groupId>org.postgresql</groupId>
    <artifactId>postgresql</artifactId>
    <version>42.6.0</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.postgresql : postgresql to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 42.6.0

All Versions

Choose a version of org.postgresql : postgresql to add to Maven or Gradle - All Versions:

Version Vulnerabilities Updated
42.6.x
postgresql-42.6.0
42.5.x
postgresql-42.5.4
postgresql-42.5.3
postgresql-42.5.2
postgresql-42.5.1
postgresql-42.5.0
CVE-2022-41946
42.4.x
postgresql-42.4.3
postgresql-42.4.2
CVE-2022-41946
postgresql-42.4.1
CVE-2022-41946
postgresql-42.4.0
2 vulnerabilities
42.3.x
postgresql-42.3.8
postgresql-42.3.7
CVE-2022-41946
postgresql-42.3.6
2 vulnerabilities
postgresql-42.3.5
2 vulnerabilities
postgresql-42.3.4
2 vulnerabilities
postgresql-42.3.3
2 vulnerabilities
postgresql-42.3.2
3 vulnerabilities
postgresql-42.3.1
4 vulnerabilities
postgresql-42.3.0
4 vulnerabilities
42.2.x
postgresql-42.2.27
postgresql-42.2.27.jre6
postgresql-42.2.27.jre7
postgresql-42.2.26.jre6
CVE-2022-41946
postgresql-42.2.26.jre7
CVE-2022-41946
postgresql-42.2.26
CVE-2022-41946
postgresql-42.2.25.jre6
3 vulnerabilities
postgresql-42.2.25.jre7
3 vulnerabilities
postgresql-42.2.25
3 vulnerabilities
postgresql-42.2.24
4 vulnerabilities
postgresql-42.2.24.jre6
4 vulnerabilities
postgresql-42.2.24.jre7
4 vulnerabilities
postgresql-42.2.23.jre6
4 vulnerabilities
postgresql-42.2.23.jre7
4 vulnerabilities
postgresql-42.2.23
4 vulnerabilities
postgresql-42.2.22
4 vulnerabilities
postgresql-42.2.22.jre6
4 vulnerabilities
postgresql-42.2.22.jre7
4 vulnerabilities
postgresql-42.2.21
4 vulnerabilities
postgresql-42.2.21.jre6
4 vulnerabilities
postgresql-42.2.21.jre7
4 vulnerabilities
postgresql-42.2.20
4 vulnerabilities
postgresql-42.2.20.jre6
4 vulnerabilities
postgresql-42.2.20.jre7
4 vulnerabilities
postgresql-42.2.19
4 vulnerabilities
postgresql-42.2.19.jre6
4 vulnerabilities
postgresql-42.2.19.jre7
4 vulnerabilities
postgresql-42.2.18
4 vulnerabilities
postgresql-42.2.18.jre6
4 vulnerabilities
postgresql-42.2.18.jre7
4 vulnerabilities
postgresql-42.2.17
4 vulnerabilities
postgresql-42.2.17.jre6
4 vulnerabilities
postgresql-42.2.17.jre7
4 vulnerabilities
postgresql-42.2.16
4 vulnerabilities
postgresql-42.2.16.jre6
4 vulnerabilities
postgresql-42.2.16.jre7
4 vulnerabilities
postgresql-42.2.15.jre7
4 vulnerabilities
postgresql-42.2.15
4 vulnerabilities
postgresql-42.2.15.jre6
4 vulnerabilities
postgresql-42.2.14
4 vulnerabilities
postgresql-42.2.14.jre6
4 vulnerabilities
postgresql-42.2.14.jre7
4 vulnerabilities
postgresql-42.2.13
4 vulnerabilities
postgresql-42.2.13.jre6
4 vulnerabilities
postgresql-42.2.13.jre7
4 vulnerabilities
postgresql-42.2.12.jre6
5 vulnerabilities
postgresql-42.2.12.jre7
5 vulnerabilities
postgresql-42.2.12
5 vulnerabilities
postgresql-42.2.11.jre6
5 vulnerabilities
postgresql-42.2.11.jre7
5 vulnerabilities
postgresql-42.2.11
5 vulnerabilities
postgresql-42.2.10.jre7
5 vulnerabilities
postgresql-42.2.10.jre6
5 vulnerabilities
postgresql-42.2.10
5 vulnerabilities
postgresql-42.2.9.jre6
5 vulnerabilities
postgresql-42.2.9.jre7
5 vulnerabilities
postgresql-42.2.9
5 vulnerabilities
postgresql-42.2.8.jre6
5 vulnerabilities
postgresql-42.2.8.jre7
5 vulnerabilities
postgresql-42.2.8
5 vulnerabilities
postgresql-42.2.7.jre7
5 vulnerabilities
postgresql-42.2.7.jre6
5 vulnerabilities
postgresql-42.2.7
5 vulnerabilities
postgresql-42.2.6.jre6
5 vulnerabilities
postgresql-42.2.6.jre7
5 vulnerabilities
postgresql-42.2.6
5 vulnerabilities
postgresql-42.2.5.jre6
5 vulnerabilities
postgresql-42.2.5.jre7
5 vulnerabilities
postgresql-42.2.5
5 vulnerabilities
postgresql-42.2.4.jre6
6 vulnerabilities
postgresql-42.2.4.jre7
6 vulnerabilities
postgresql-42.2.4
6 vulnerabilities
postgresql-42.2.3.jre6
6 vulnerabilities
postgresql-42.2.3.jre7
6 vulnerabilities
postgresql-42.2.3
6 vulnerabilities
postgresql-42.2.2.jre6
6 vulnerabilities
postgresql-42.2.2.jre7
6 vulnerabilities
postgresql-42.2.2
6 vulnerabilities
postgresql-42.2.1.jre6
6 vulnerabilities
postgresql-42.2.1.jre7
6 vulnerabilities
postgresql-42.2.1
6 vulnerabilities
postgresql-42.2.0.jre6
6 vulnerabilities
postgresql-42.2.0.jre7
6 vulnerabilities
postgresql-42.2.0
6 vulnerabilities
42.1.x
postgresql-42.1.4.jre6
5 vulnerabilities
postgresql-42.1.4.jre7
5 vulnerabilities
postgresql-42.1.4
5 vulnerabilities
postgresql-42.1.3.jre6
5 vulnerabilities
postgresql-42.1.3.jre7
5 vulnerabilities
postgresql-42.1.3
5 vulnerabilities
postgresql-42.1.2.jre6
5 vulnerabilities
postgresql-42.1.2.jre7
5 vulnerabilities
postgresql-42.1.2
5 vulnerabilities
postgresql-42.1.1.jre6
5 vulnerabilities
postgresql-42.1.1.jre7
5 vulnerabilities
postgresql-42.1.1
5 vulnerabilities
postgresql-42.1.0.jre7
5 vulnerabilities
postgresql-42.1.0
5 vulnerabilities
42.0.x
postgresql-42.0.0.jre6
4 vulnerabilities
postgresql-42.0.0.jre7
4 vulnerabilities
postgresql-42.0.0
4 vulnerabilities
9.4.x
postgresql-9.4.1212.jre6
4 vulnerabilities
postgresql-9.4.1212.jre7
4 vulnerabilities
postgresql-9.4.1212
4 vulnerabilities
postgresql-9.4.1211.jre6
4 vulnerabilities
postgresql-9.4.1211.jre7
4 vulnerabilities
postgresql-9.4.1211
4 vulnerabilities
postgresql-9.4.1210.jre6
4 vulnerabilities
postgresql-9.4.1210.jre7
4 vulnerabilities
postgresql-9.4.1210
4 vulnerabilities
postgresql-9.4.1209.jre6
4 vulnerabilities
postgresql-9.4.1209.jre7
4 vulnerabilities
postgresql-9.4.1209
4 vulnerabilities
postgresql-9.4.1208.jre7
4 vulnerabilities
postgresql-9.4.1208.jre6
4 vulnerabilities
postgresql-9.4.1208
4 vulnerabilities
postgresql-9.4.1207.jre6
3 vulnerabilities
postgresql-9.4.1207.jre7
3 vulnerabilities
postgresql-9.4.1207
3 vulnerabilities
9.4
postgresql-9.4-1206-jdbc4
3 vulnerabilities
postgresql-9.4-1206-jdbc41
3 vulnerabilities
postgresql-9.4-1206-jdbc42
3 vulnerabilities
postgresql-9.4-1205-jdbc41
3 vulnerabilities
postgresql-9.4-1205-jdbc4
3 vulnerabilities
postgresql-9.4-1205-jdbc42
3 vulnerabilities
postgresql-9.4-1204-jdbc41
3 vulnerabilities
postgresql-9.4-1204-jdbc4
3 vulnerabilities
postgresql-9.4-1204-jdbc42
3 vulnerabilities
postgresql-9.4-1203-jdbc41
3 vulnerabilities
postgresql-9.4-1203-jdbc4
3 vulnerabilities
postgresql-9.4-1203-jdbc42
3 vulnerabilities
postgresql-9.4-1202-jdbc42
3 vulnerabilities
postgresql-9.4-1202-jdbc4
3 vulnerabilities
postgresql-9.4-1202-jdbc41
3 vulnerabilities
postgresql-9.4-1201-jdbc41
3 vulnerabilities
postgresql-9.4-1201-jdbc4
3 vulnerabilities
postgresql-9.4-1200-jdbc41
3 vulnerabilities
postgresql-9.4-1200-jdbc4
3 vulnerabilities
9.3
postgresql-9.3-1104-jdbc41
3 vulnerabilities
postgresql-9.3-1104-jdbc4
3 vulnerabilities
postgresql-9.3-1103-jdbc4
3 vulnerabilities
postgresql-9.3-1103-jdbc41
3 vulnerabilities
postgresql-9.3-1103-jdbc3
3 vulnerabilities
postgresql-9.3-1102-jdbc41
3 vulnerabilities
postgresql-9.3-1102-jdbc4
3 vulnerabilities
postgresql-9.3-1102-jdbc3
3 vulnerabilities
postgresql-9.3-1101-jdbc4
3 vulnerabilities
postgresql-9.3-1101-jdbc41
3 vulnerabilities
postgresql-9.3-1101-jdbc3
3 vulnerabilities
postgresql-9.3-1100-jdbc41
3 vulnerabilities
postgresql-9.3-1100-jdbc3
3 vulnerabilities
postgresql-9.3-1100-jdbc4
3 vulnerabilities
9.2
postgresql-9.2-1004-jdbc41
3 vulnerabilities
postgresql-9.2-1004-jdbc4
3 vulnerabilities
postgresql-9.2-1004-jdbc3
3 vulnerabilities
postgresql-9.2-1003-jdbc3
3 vulnerabilities
postgresql-9.2-1003-jdbc4
3 vulnerabilities
postgresql-9.2-1002-jdbc4
3 vulnerabilities

How to add a dependency to Maven

Add the following org.postgresql : postgresql maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.postgresql</groupId>
    <artifactId>postgresql</artifactId>
    <version>42.6.0</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.postgresql : postgresql gradle dependency to your build.gradle file:

implementation 'org.postgresql:postgresql:42.6.0'

Gradle Kotlin DSL: Add the following org.postgresql : postgresql gradle kotlin dependency to your build.gradle.kts file:

implementation("org.postgresql:postgresql:42.6.0")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.postgresql : postgresql sbt scala dependency to your build.sbt file:

libraryDependencies += "org.postgresql" % "postgresql" % "42.6.0"

Advertisement

Dependencies from Group

Mar 17, 2023
3.2k usages
1.4k stars
Jul 14, 2023
8 usages
1k stars

Discover Dependencies

Aug 24, 2023
2.7k usages
73.7k stars
Jul 05, 2014
8.7k usages
Feb 14, 2023
115 usages
196 stars
Jul 23, 2023
21.1k usages
Apr 24, 2023
67 usages
3k stars
Jan 02, 2015
12.2k usages
14.7k stars
Jun 03, 2023
74 usages
391 stars
Nov 30, 2022
11.3k usages
1.1k stars
Jun 14, 2023
1.8k usages
11.2k stars
May 19, 2023
131 usages
137 stars